<app-header></app-header>
<toaster-container></toaster-container>
<div class="app-body">
  <app-sidebar></app-sidebar>
  <!-- Main content -->
  <main class="main">
    <!-- Breadcrumb -->
    <ol class="breadcrumb">
      <app-breadcrumbs></app-breadcrumbs>
      <!-- Breadcrumb Menu-->
      <li class="breadcrumb-menu d-md-down-none">
        <div class="btn-group" role="group" aria-label="Button group with nested dropdown">
          <!-- <a class="btn" href="#"><i class="icon-speech"></i></a>
          <a class="btn" [routerLink]="['/dashboard']"><i class="icon-graph"></i> &nbsp;Dashboard</a>
          <a class="btn" href="#"><i class="icon-settings"></i> &nbsp;Settings</a> -->
        </div>
      </li>
    </ol>
    <div class="container-fluid">
      <div class="row" *ngIf="url.substring(14) === 'allasset'">
        <div class="col-6 col-lg-3">
          <div class="card">
            <div class="card-body p-3 clearfix">
              <i class="fa fa-list-ul bg-primary p-3 font-2xl mr-3 float-left"></i>
              <div class="text-uppercase text-muted font-weight-bold font-xs text-right mb-0 mt-2"> Total Assets</div>
              <div class="h5 text-right">{{totalAssets}}</div>
            </div>
          </div>
        </div>
        <!--/.col-->

        <div class="col-6 col-lg-3">
          <div class="card">
            <div class="card-body p-3 clearfix">
              <i class="fa fa-taxi bg-info p-3 font-2xl mr-3 float-left"></i>
              <div class="text-uppercase text-muted font-weight-bold font-xs text-right mb-0 mt-2">Assigned To Drivers</div>
              <div class="h5 text-right">{{assignedAssets}}</div>
            </div>
          </div>
        </div>
        <!--/.col-->

        <div class="col-6 col-lg-3">
          <div class="card">
            <div class="card-body p-3 clearfix">
              <i class="fa fa-moon-o bg-warning p-3 font-2xl mr-3 float-left"></i>
              <div class="text-uppercase text-muted font-weight-bold font-xs text-right mb-0 mt-2">not charging</div>
              <div class="h5 text-right">{{idleAssets}}</div>
            </div>
          </div>
        </div>
        <!--/.col-->

        <div class="col-6 col-lg-3">
          <div class="card">
            <div class="card-body p-3 clearfix">
              <i class="fa fa-battery-quarter bg-danger p-3 font-2xl mr-3 float-left"></i>
              <div class="text-uppercase text-muted font-weight-bold font-xs text-right mb-0 mt-2">Charging</div>
              <div class="h5 text-right">{{chargingAssets}}</div>
            </div>
          </div>
        </div>
        <!--/.col-->
      </div>
      <!--/.row-->

      <app-lsp-asset-table *ngIf="url.substring(14) === 'allasset'"></app-lsp-asset-table>
      <app-lsp-collect-asset *ngIf="url.substring(14) === 'collectasset'"></app-lsp-collect-asset>
      <app-lsp-allocate-asset *ngIf="url.substring(14) === 'allocateasset'"></app-lsp-allocate-asset>
      <app-lsp-report-issue *ngIf="url.substring(14) === 'reportissue'"></app-lsp-report-issue>
      <app-lsp-payment *ngIf="url.substring(14) === 'lspPayment'"></app-lsp-payment>
      <app-paytm *ngIf="url.substring(14,20) === 'paytm'"></app-paytm>
      <app-lsp-track-asset *ngIf="url.substring(14,25) === 'trackasset'"></app-lsp-track-asset>
    </div>
    <!-- /.conainer-fluid -->
  </main>
  <app-aside></app-aside>
</div>
<app-footer></app-footer>

<!-- http://localhost:4200/dashboard/trackasset/B001
http://localhost:4200/lspdashboard/paytm/B001 -->